## comixcursors 0.10.0

=== Makefile ===
#! /usr/bin/make -f
#
# Makefile
# Part of ComixCursors, a desktop cursor theme.
#
# Copyright © 2010–2013 Ben Finney <ben+opendesktop@benfinney.id.au>
# Copyright © 2006–2013 Jens Luetkens <j.luetkens@limitland.de>
# Copyright © 2003 Unai G
#
# This work is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this work. If not, see <http://www.gnu.org/licenses/>.

# Makefile for ComixCursors project.

SHELL = /bin/bash

CURSORSNAME = ComixCursors
PACKAGENAME ?= ${CURSORSNAME}
SUMMARY ?= The original Comix Cursors
ICONSDIR ?= ${HOME}/.icons
THEMENAME ?= Custom
THEMEVARIANT ?= ${THEMENAME}-${THEMEOPTIONS}-${THEMEINCLUDE}

GENERATED_FILES :=

ifeq (@LH-,$(findstring @LH-,@${THEMEOPTIONS}))
	orientation = LeftHanded
else
	orientation = RightHanded
endif

bindir = bin
svgdir = svg
indir = ${svgdir}/${orientation}
workdir = tmp
builddir = build
buildvariantdir = ${builddir}/${THEMEVARIANT}
xcursor_builddir = cursors
xcursor_buildvariantdir = ${xcursor_builddir}/${THEMEVARIANT}
distdir = dist
configdir = ComixCursorsConfigs
configfile = ${configdir}/${THEMENAME}.CONFIG
themefile = ${buildvariantdir}/${THEMENAME}.theme

destdir = ${ICONSDIR}/${CURSORSNAME}${THEMEOPTIONS}${THEMEINCLUDE}${SIZENAME}-${THEMENAME}
xcursor_destdir = ${destdir}/cursors

template_configfile = ${configdir}/Custom.CONFIG
template_themefile = ${configdir}/Custom.theme

# Derive cursor file names.
conffiles = $(wildcard ${buildvariantdir}/*.conf)
cursornames = $(foreach conffile,${conffiles},$(basename $(notdir ${conffile})))
cursorfiles = $(foreach cursor,${cursornames},${xcursor_buildvariantdir}/${cursor})

GENERATED_FILES += ${svgdir}/*/*.frame*.svg
GENERATED_FILES += ${workdir}
GENERATED_FILES += ${builddir}
GENERATED_FILES += ${xcursor_builddir}
GENERATED_FILES += ${distdir}

# Packaging files.
news_file = NEWS
rpm_specfile_changelog = specfile-changelog
rpm_specfile = ${PACKAGENAME}.spec
rpm_spec_template = ${CURSORSNAME}.spec.in

GENERATED_FILES += ${rpm_specfile_changelog} *.spec

LINK_CURSORS = "${bindir}/link-cursors"
MAKE_SPECFILE_CHANGELOG = "${bindir}/news-to-specfile-changelog"
MAKE_SPECFILE = "${bindir}/make-specfile"

.PHONY: all
all: ${cursorfiles}

${xcursor_buildvariantdir}/%: ${buildvariantdir}/%.conf $(wildcard ${buildvariantdir}/%*.png)
	xcursorgen "$<" "$@"

.PHONY: install
install: all
# Create necessary directories.
	install -d "${ICONSDIR}" "${ICONSDIR}/default"
	$(RM) -r "${destdir}"
	install -d "${xcursor_destdir}"

# Install the cursors.
	install -m u=rw,go=r "${xcursor_buildvariantdir}"/* "${xcursor_destdir}"

# Install the theme configuration file.
	install -m u=rw,go=r "${themefile}" "${destdir}/index.theme"

# Install alternative name symlinks for the cursors.
	$(LINK_CURSORS) "${xcursor_destdir}"

.PHONY: uninstall
uninstall:
	$(RM) -r "${destdir}"

.PHONY: custom-theme
custom-theme: ${configfile} ${themefile}

${configfile}: ${template_configfile}
	cp "$<" "$@"

${themefile}: ${template_themefile}
	install -d "${buildvariantdir}"
	cp "$<" "$@"

.PHONY: rpm
rpm: ${rpm_specfile}

${rpm_specfile_changelog}: ${news_file}
	$(MAKE_SPECFILE_CHANGELOG) < "$<" > "$@"

${rpm_specfile}: ${rpm_spec_template} ${rpm_specfile_changelog}
	$(MAKE_SPECFILE)

.PHONY: clean
clean:
	$(RM) -r ${GENERATED_FILES}

# Local Variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/changelog ===
comixcursors (0.10.0-1) unstable; urgency=medium

  * The “Hedy Lamarr” release.
  * New upstream version.
    Highlights since previous release:
    * Simplified cursor resize.
    * Bug fix for some corrupted images.
  * debian/watch:
    * Update UScan configuration for current upstream source release site.
  * Declare conformance to “Standards-Version: 4.7.2”.
    No additional changes needed.
  * debian/patches/01-custom-destdir.patch:
    * Refresh patch for new upstream source.

 -- Ben Finney <bignose@debian.org>  Wed, 04 Jun 2025 10:45:45 +1000

=== debian/control ===
Source: comixcursors
Section: x11
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Build-Depends:
    bc,
    librsvg2-bin,
    imagemagick,
    x11-apps,
    debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://gitlab.com/limitland/comixcursors/
VCS-Git: https://salsa.debian.org/bignose/pkg-comixcursors.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-comixcursors
Rules-Requires-Root: no

Package: comixcursors-righthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Provides: comixcursors
Description: X11 mouse pointer themes with a comic art feeling (RH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the “original” (right-handed, translucent)
 ComixCursors themes.

Package: comixcursors-lefthanded
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-righthanded-opaque,
    comixcursors-lefthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (LH, translucent)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, translucent ComixCursors
 themes.

Package: comixcursors-righthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-lefthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (RH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the right-handed, opaque ComixCursors themes.

Package: comixcursors-lefthanded-opaque
Architecture: all
Depends:
    ${misc:Depends}
Suggests:
    comixcursors-righthanded,
    comixcursors-lefthanded,
    comixcursors-righthanded-opaque
Description: X11 mouse pointer themes with a comic art feeling (LH, opaque)
 ComixCursors is a set of mouse pointer themes for X11 in the style of
 comic-book art.
 .
 The package includes cursor themes in a wide combination of variants:
  * 6 different colors (black, blue, green, orange, red, white)
  * 4 different sizes (small, regular, large, huge)
  * 2 different weights (slim, normal)
 .
 This package installs the left-handed, opaque ComixCursors themes.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘comixcursors’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

PACKAGE_BUILDDIR = "$(CURDIR)/debian/build"
INSTALLDIR = "$(CURDIR)/debian/tmp"
ICONS_DIR = usr/share/icons
icons_builddir = "${PACKAGE_BUILDDIR}"/${ICONS_DIR}
icons_wrapdir = "${PACKAGE_BUILDDIR}"/etc/X11/cursors
icons_installdir = "${INSTALLDIR}"/${ICONS_DIR}
icons_destdir = "${DESTDIR}"/${ICONS_DIR}

GENERATED_FILES :=

package_mapping = debian/package-mapping
themeset_packages = $(shell cat ${package_mapping} | cut -d':' -f1)

per_package_files = dirs docs install preinst postinst prerm lintian-overrides

INSTALL = install
WRAP_THEMES = "$(CURDIR)"/debian/wrap-cursor-themes


.PHONY: build
build: build-indep build-arch
	dh $@

.PHONY: build-indep
build-indep: build-stamp
	dh $@

.PHONY: build-arch
build-arch: build-stamp
	dh $@

build-stamp: export DESTDIR="${PACKAGE_BUILDDIR}"
build-stamp:
	$(INSTALL) -d "${PACKAGE_BUILDDIR}"


.PHONY: clean
clean:
	$(RM) -r "${PACKAGE_BUILDDIR}"/*
	$(RM) ${GENERATED_FILES}
	dh $@


.PHONY: install
install: build $(foreach package,${themeset_packages},install-${package}-stamp)
	$(INSTALL) -d "${icons_wrapdir}"
	chmod +x ${WRAP_THEMES}
	PACKAGE_BUILDDIR="${PACKAGE_BUILDDIR}" $(WRAP_THEMES)

	dh $@

GENERATED_FILES += install-*-stamp
GENERATED_FILES += $(foreach suffix,${per_package_files}, \
	$(foreach package_name,$(shell cat ${package_mapping} | cut -d':' -f1), \
		debian/${package_name}.${suffix}))
install-%-stamp: themeset_prefix = $(shell cat ${package_mapping} | grep "^$*:" | cut -d':' -f2)
install-%-stamp:
	echo "* Generating files for package ‘$*’ (themeset prefix “${themeset_prefix}”)"
	for n in ${per_package_files} ; do \
		sed \
			-e "s:@THEMESET_PREFIX@:${themeset_prefix}:" \
			-e "s:@PACKAGE@:$*:" \
			debian/templates/$$n.template > debian/$*.$$n ; \
	done
	touch "$@"


.PHONY: binary-indep
binary-indep: build install
	dh $@

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
#	Skip auto-detection of build tool.
	make clean


.PHONY: override_dh_auto_build
override_dh_auto_build:
#	Skip auto-detection of build tool.
	DESTDIR="${PACKAGE_BUILDDIR}" ./install-all
	rmdir "${icons_builddir}"/default

.PHONY: override_dh_auto_test
override_dh_auto_test:
#	Skip auto-detection of build tool.

.PHONY: override_dh_auto_install
override_dh_auto_install:
#	Skip auto-detection of build tool.
	$(INSTALL) -d "${INSTALLDIR}"
	cp -a "${PACKAGE_BUILDDIR}"/. "${INSTALLDIR}"/.

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS


# Copyright © 2010–2025 Ben Finney <bignose@debian.org>
#
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 3 or later.
# No warranty expressed or implied.
#
# On Debian systems, the complete text of version 3 of the GNU General
# Public License can be found in ‘/usr/share/common-licenses/GPL-3’.


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Jens Luetkens's repository.
opts = "" \
    https://limitland.gitlab.io/@PACKAGE@/ \
    ComixCursors-sources-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
